summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xxci/config/pinned-versions4
-rw-r--r--xci/file/ansible-role-requirements.yml78
-rw-r--r--xci/file/install-ansible.sh69
-rwxr-xr-xxci/xci-deploy.sh3
4 files changed, 85 insertions, 69 deletions
diff --git a/xci/config/pinned-versions b/xci/config/pinned-versions
index 03537258..8ff44f75 100755
--- a/xci/config/pinned-versions
+++ b/xci/config/pinned-versions
@@ -27,5 +27,5 @@
export OPNFV_RELENG_VERSION="master"
# HEAD of bifrost "master" as of 29.06.2017
export OPENSTACK_BIFROST_VERSION=${OPENSTACK_BIFROST_VERSION:-"db9f2f556bf92558275c0422beafb5e68eff59f1"}
-# HEAD of osa "master" as of 02.11.2017
-export OPENSTACK_OSA_VERSION=${OPENSTACK_OSA_VERSION:-"e319a00aaa50ac204269a0ce3da7a7a6d517ccf2"}
+# HEAD of osa "master" as of 17.11.2017
+export OPENSTACK_OSA_VERSION=${OPENSTACK_OSA_VERSION:-"56eefa2f66aa7c77df831ef3332bdfa0802d9a04"}
diff --git a/xci/file/ansible-role-requirements.yml b/xci/file/ansible-role-requirements.yml
index 27eef6f5..9ddf35dc 100644
--- a/xci/file/ansible-role-requirements.yml
+++ b/xci/file/ansible-role-requirements.yml
@@ -7,24 +7,24 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-# these versions are based on the osa commit e319a00aaa50ac204269a0ce3da7a7a6d517ccf2 on 2017-10-31
-# https://review.openstack.org/gitweb?p=openstack/openstack-ansible.git;a=commit;h=e319a00aaa50ac204269a0ce3da7a7a6d517ccf2
+# these versions are based on the osa commit 56eefa2f66aa7c77df831ef3332bdfa0802d9a04 on 2017-11-16
+# https://review.openstack.org/gitweb?p=openstack/openstack-ansible.git;a=commit;h=56eefa2f66aa7c77df831ef3332bdfa0802d9a04
- name: ansible-hardening
scm: git
src: https://git.openstack.org/openstack/ansible-hardening
- version: b559afac0c4678f6205f79d0e38f39025f00ddd8
+ version: 422b793b804bcac6fa4059d70ce368c5beab9d5d
- name: apt_package_pinning
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-apt_package_pinning
- version: 2cbbf782cc0b6bef7b1f8fb4705d1cda287b8fc0
+ version: f418e57df4bcef7f8c45ee1b144ec9a36f0c3763
- name: pip_install
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-pip_install
- version: 132c6c15e53a7c143fbad78c8eba67d8cb43a3f2
+ version: 58c5209b7092f17336aa976a7aed9f5a779ba5ab
- name: galera_client
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-galera_client
- version: 21f1ffff97ef4d04c8470490cc238a0bc168f1f2
+ version: b46c4041ab9613cc1e74d8d1e3fa7da10acac90a
- name: galera_server
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-galera_server
@@ -32,11 +32,11 @@
- name: ceph_client
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-ceph_client
- version: 4bafc9b05efbe88f63c8c94d8c93fe652b648690
+ version: b8435286464252cafb1fbf3b66e9d77bcb5c5182
- name: haproxy_server
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-haproxy_server
- version: 4afbd9cfb078ac60781aa683eafb7bca1cf549d5
+ version: d37a83f829d6d24d5b1f5bfd605fce9b4476b3a2
- name: keepalived
scm: git
src: https://github.com/evrardjp/ansible-keepalived
@@ -44,35 +44,35 @@
- name: lxc_container_create
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-lxc_container_create
- version: 82c1dfa68fcc0fac58f8df7d09b8de955c8f8bbd
+ version: f2da60b3ff5433ffb805a5782c06d905e8a0b360
- name: lxc_hosts
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-lxc_hosts
- version: cb395f12b67bff82c6dcf9d7e57cc87e48a2b619
+ version: 69ab10bee5386dbef6ca328743e669400cd9b65e
- name: memcached_server
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-memcached_server
- version: 731c02797c417c496c05a6498e360443ca74df47
+ version: 25c230d78d710b091a8d7f6d5299b4e79321c7af
- name: openstack_hosts
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-openstack_hosts
- version: 7a822f2f3c7c2dcb81635f2756701bea72b4d128
+ version: 4852c5c84dcfc23b0d67df58b164bd8b933cabba
- name: os_keystone
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_keystone
- version: 6de9abe29e67c94877ca0580ccd90aa9e45d6818
+ version: b2d3e2b9caa8dad5e507d777804153914f2bdc49
- name: openstack_openrc
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-openstack_openrc
- version: df34a4f181002d8242283ecb76373bbf576644c9
+ version: abeb9ff2851567d724e58837a09abaa49ad48cf8
- name: os_aodh
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_aodh
- version: 8e8cbcb4ab430cc1043e303a832f0372fc6266ac
+ version: eb17064d0e78b1f94782aeebc1336f93704e903a
- name: os_barbican
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_barbican
- version: 7486c0af49becf61d0a908d49f8ed686dd4c5a14
+ version: ae6546fe33e83ceacc201680da3cb83549e7448f
- name: os_ceilometer
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_ceilometer
@@ -80,31 +80,31 @@
- name: os_cinder
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_cinder
- version: 4e7cb3441e38f71897e46e137e3b85bc92209ae3
+ version: 066c95e65601eb606c5063053a735c14ee5b52e3
- name: os_designate
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_designate
- version: a508c2986e479a1969f711339f2eb0d2e6f030e7
+ version: 7f26efbcd7772e86412851bc4fcde5309d9ccee5
- name: os_glance
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_glance
- version: 45d84bf792bbabd43fc100e37f8ea29504544b1c
+ version: 1f16d86fb077f3976e24c0b2d4e7e97853da300d
- name: os_gnocchi
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_gnocchi
- version: 3b8cf82e07eb50997f23f014e41fabfc8b275a11
+ version: ca853886f317d2100d903af823d5ea9b08f3fc2e
- name: os_heat
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_heat
- version: 82ddbf569798b9c641f3b3eb942c9e6894261808
+ version: 3a7cde39fd61135871682753ae1fd822d9e13762
- name: os_horizon
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_horizon
- version: 9e80062a58b4960bc2374dc2cc9ba78861ef84b8
+ version: b04249ad8980b220d1322660a352c705406ea25f
- name: os_ironic
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_ironic
- version: ded7f989e0bc515506301929d4ff1a867aa3e73a
+ version: 4ab463b9f265486c11f30be94678030e4c116341
- name: os_magnum
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_magnum
@@ -112,35 +112,35 @@
- name: os_molteniron
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_molteniron
- version: 840ac7379c7c1eadd37e043b82cbe28a1fb78c5f
+ version: d11473d2ad74dfa3e8eccdca24ede0b540fd0686
- name: os_neutron
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_neutron
- version: a45ca094084c15321bf3b0e52c8d2b307a910ec7
+ version: c03c932c9b172c2fc4d9033684d124e2a3141081
- name: os_nova
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_nova
- version: a96e6b09ca4718f46305934c344e1ebf36765d8d
+ version: 503045e090e0e139158ad4c805f75bdaea12aa0a
- name: os_octavia
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_octavia
- version: 77ff369cb37512376bb879dd8d82ef49c293d94c
+ version: 69d8775996ee1575c13fa88045fa93fda7fac688
- name: os_rally
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_rally
- version: 5e0cb6b723acd89e475f8bb86eb2c2376a3f7ebf
+ version: 93c60fccd69c2f491ca0e57fbedb80d737bfbf83
- name: os_sahara
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_sahara
- version: 2ead3c9023481a5f784d65cf19f0ffbae65cee52
+ version: f25a80c6f7d0cffbe9cf2a80a8fd142106beed0b
- name: os_swift
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_swift
- version: c0e9362268690fe5f6ab6a6b8f5a45a66045bef1
+ version: 4858c02c14803f2537dc32d64ca8dee5cb4b191d
- name: os_tacker
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_tacker
- version: 0fad7f3584969d038c4dc5c512fdd83f72aa8b6d
+ version: 7a3628e3ed9eafbf6cb20e73f63992d8997695fb
- name: os_tempest
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_tempest
@@ -148,31 +148,31 @@
- name: os_trove
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-os_trove
- version: 70ff281931bef890f4d19da7fc76d7b39e9e0d5b
+ version: 2bea79fb9d37ec75b7e1fbd5b3d864ccf6300f7e
- name: plugins
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-plugins
- version: 6a64c8e7dbc1d3a6cbb444dbcdefbeb4632c01fa
+ version: 2091a0bc609ca33e6a1c38d6a690b7aaa5bd42ab
- name: rabbitmq_server
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-rabbitmq_server
- version: b68c27140654f5d34bdc0bae3cd0e5af3a4c36a7
+ version: b44bd832084c01ab18dac212ab6d911b20600ef1
- name: repo_build
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-repo_build
- version: 1237aa4e0f7de633d28797fe8ff469e314f8a509
+ version: e4814269677f0482278b14e91049aa35b6c8db79
- name: repo_server
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-repo_server
- version: 165a1570caaec0946a14760a52476311c32185cc
+ version: 1fd7a55b71d8397d98e63947224714610ac175fa
- name: rsyslog_client
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-rsyslog_client
- version: 3b917569cda50cbd491b3b86b4313100171962bf
+ version: 9a453072c693e20ba26e7682f11ca3e7cf2a8abe
- name: rsyslog_server
scm: git
src: https://git.openstack.org/openstack/openstack-ansible-rsyslog_server
- version: a8d87bb4192490128e81639343a2a9e2390267d9
+ version: 8bbf07b66739f50bacd94860d04abafaa70d941e
- name: sshd
scm: git
src: https://github.com/willshersystems/ansible-sshd
@@ -220,7 +220,7 @@
- name: opendaylight
scm: git
src: https://git.opendaylight.org/gerrit/p/integration/packaging/ansible-opendaylight.git
- version: 54aa2162cda2b6f11e95684276184e2eb96569a4
+ version: 2af197bd13f77d2a07878b160c00f8ceeebb3c34
- name: haproxy_endpoints
scm: git
src: https://github.com/logan2211/ansible-haproxy-endpoints
diff --git a/xci/file/install-ansible.sh b/xci/file/install-ansible.sh
index 2661eea1..75ae1d82 100644
--- a/xci/file/install-ansible.sh
+++ b/xci/file/install-ansible.sh
@@ -7,34 +7,42 @@ set -eu
declare -A PKG_MAP
+# workaround: for latest bindep to work, it needs to use en_US local
+export LANG=c
+
CHECK_CMD_PKGS=(
+ gcc
libffi
libopenssl
+ lsb-release
+ make
net-tools
python-devel
+ python
+ venv
+ wget
)
source /etc/os-release || source /usr/lib/os-release
-
case ${ID,,} in
*suse)
OS_FAMILY="Suse"
- INSTALLER_CMD="sudo -H -E zypper install -y"
+ INSTALLER_CMD="sudo -H -E zypper install -y --no-recommends"
CHECK_CMD="zypper search --match-exact --installed"
PKG_MAP=(
[gcc]=gcc
- [git]=git
[libffi]=libffi-devel
[libopenssl]=libopenssl-devel
+ [lsb-release]=lsb-release
+ [make]=make
[net-tools]=net-tools
[python]=python
[python-devel]=python-devel
[venv]=python-virtualenv
[wget]=wget
- [openssl]=openssl
)
EXTRA_PKG_DEPS=( python-xml )
- sudo zypper -n ref
+ sudo zypper -n ref
# NOTE (cinerama): we can't install python without removing this package
# if it exists
if $(${CHECK_CMD} patterns-openSUSE-minimal_base-conflicts &> /dev/null); then
@@ -47,43 +55,45 @@ case ${ID,,} in
export DEBIAN_FRONTEND=noninteractive
INSTALLER_CMD="sudo -H -E apt-get -y install"
CHECK_CMD="dpkg -l"
- PKG_MAP=( [gcc]=gcc
- [git]=git
- [libffi]=libffi-dev
- [libopenssl]=libssl-dev
- [net-tools]=net-tools
- [python]=python-minimal
- [python-devel]=libpython-dev
- [venv]=python-virtualenv
- [wget]=wget
- [openssl]=openssl
- )
+ PKG_MAP=(
+ [gcc]=gcc
+ [libffi]=libffi-dev
+ [libopenssl]=libssl-dev
+ [lsb-release]=lsb-release
+ [make]=make
+ [net-tools]=net-tools
+ [python]=python-minimal
+ [python-devel]=libpython-dev
+ [venv]=python-virtualenv
+ [wget]=wget
+ )
EXTRA_PKG_DEPS=()
- sudo apt-get update
+ sudo apt-get update
;;
- rhel|centos|fedora)
+ rhel|fedora|centos)
OS_FAMILY="RedHat"
PKG_MANAGER=$(which dnf || which yum)
INSTALLER_CMD="sudo -H -E ${PKG_MANAGER} -y install"
CHECK_CMD="rpm -q"
PKG_MAP=(
[gcc]=gcc
- [git]=git
[libffi]=libffi-devel
[libopenssl]=openssl-devel
+ [lsb-release]=redhat-lsb
+ [make]=make
[net-tools]=net-tools
[python]=python
[python-devel]=python-devel
[venv]=python-virtualenv
[wget]=wget
- [openssl]=openssl
)
sudo yum updateinfo
EXTRA_PKG_DEPS=()
- ;;
+ sudo yum update --assumeno
+ ;;
- *) echo "ERROR: Supported package manager not found. Supported: apt,yum,zypper"; exit 1;;
+ *) echo "ERROR: Supported package manager not found. Supported: apt, dnf, yum, zypper"; exit 1;;
esac
if ! $(python --version &>/dev/null); then
@@ -92,13 +102,14 @@ fi
if ! $(gcc -v &>/dev/null); then
${INSTALLER_CMD} ${PKG_MAP[gcc]}
fi
-if ! $(git --version &>/dev/null); then
- ${INSTALLER_CMD} ${PKG_MAP[git]}
-fi
if ! $(wget --version &>/dev/null); then
${INSTALLER_CMD} ${PKG_MAP[wget]}
fi
+if ! $(python -m virtualenv --version &>/dev/null); then
+ ${INSTALLER_CMD} ${PKG_MAP[venv]}
+fi
+
for pkg in ${CHECK_CMD_PKGS[@]}; do
if ! $(${CHECK_CMD} ${PKG_MAP[$pkg]} &>/dev/null); then
${INSTALLER_CMD} ${PKG_MAP[$pkg]}
@@ -143,7 +154,9 @@ if ! which pip; then
fi
PIP=$(which pip)
-
-${PIP} install --user "pip>6.0"
-
+echo "Using pip: $(${PIP} --version)"
+sudo -H -E ${PIP} install --upgrade virtualenv
+sudo -H -E ${PIP} install --upgrade pip
+# upgrade setuptools, as latest version is needed to install some projects
+sudo -H -E ${PIP} install --upgrade setuptools
${PIP} install --user --upgrade ansible==$XCI_ANSIBLE_PIP_VERSION
diff --git a/xci/xci-deploy.sh b/xci/xci-deploy.sh
index 7d29945a..92649857 100755
--- a/xci/xci-deploy.sh
+++ b/xci/xci-deploy.sh
@@ -91,7 +91,10 @@ echo "-------------------------------------------------------------------------"
#-------------------------------------------------------------------------------
# Install ansible on localhost
#-------------------------------------------------------------------------------
+echo "Info: Installing Ansible from pip"
+echo "-------------------------------------------------------------------------"
source file/install-ansible.sh
+echo "-------------------------------------------------------------------------"
# Make the VMs match the host. If we need to make this configurable
# then this logic has to be moved outside this file